Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.compiler.util
Class AttributeSetMethodGenerator

    java.lang.Object
      |
      +--org.apache.bcel.classfile.AccessFlags
            |
            +--org.apache.bcel.generic.FieldGenOrMethodGen
                  |
                  +--org.apache.bcel.generic.MethodGen
                        |
                        +--org.apache.xalan.xsltc.compiler.util.MethodGenerator
                              |
                              +--org.apache.xalan.xsltc.compiler.util.AttributeSetMethodGenerator

public final class AttributeSetMethodGenerator
extends MethodGenerator

Constructor Summary
`AttributeSetMethodGenerator(java.lang.String methodName, org.apache.bcel.generic.ClassGen classGen)`

Method Summary
`int` | `getIteratorIndex()`
`int` | `getLocalIndex(java.lang.String name)`
`org.apache.bcel.generic.Instruction` | `loadHandler()`
`org.apache.bcel.generic.Instruction` | `loadIterator()`
`org.apache.bcel.generic.Instruction` | `storeHandler()`
`org.apache.bcel.generic.Instruction` | `storeIterator()`

Methods inherited from class org.apache.xalan.xsltc.compiler.util.MethodGenerator
`addInstructionList, addLocalVariable, addLocalVariable2, attribute, endDocument, endElement, getInstructionList, getLocalVariable, loadContextNode, loadCurrentNode, loadDOM, markChunkEnd, markChunkStart, namespace, nextNode, outlineChunks, removeLocalVariable, reset, setMaxLocals, setStartNode, startDocument, startElement, storeContextNode, storeCurrentNode, storeDOM, uniqueAttribute`

Methods inherited from class org.apache.bcel.generic.MethodGen
`addCodeAttribute, addException, addExceptionHandler, addLineNumber, addLocalVariable, addObserver, copy, getArgumentName, getArgumentNames, getArgumentType, getArgumentTypes, getClassName, getCodeAttributes, getExceptionHandlers, getExceptions, getInstructionList, getLineNumbers, getLineNumberTable, getLocalVariables, getLocalVariableTable, getMaxLocals, getMaxStack, getMaxStack, getMethod, getReturnType, getSignature, removeCodeAttribute, removeCodeAttributes, removeException, removeExceptionHandler, removeExceptionHandlers, removeExceptions, removeLineNumber, removeLineNumbers, removeLocalVariables, removeNOPs, removeObserver, setArgumentName, setArgumentNames, setArgumentType, setArgumentTypes, setClassName, setInstructionList, setMaxLocals, setMaxStack, setMaxStack, setReturnType, stripAttributes, toString, update`

Methods inherited from class org.apache.bcel.generic.FieldGenOrMethodGen
`addAttribute, clone, getAttributes, getConstantPool, getName, getType, removeAttribute, removeAttributes, setConstantPool, setName, setType`

Methods inherited from class org.apache.bcel.classfile.AccessFlags
`getAccessFlags, isAbstract, isAbstract, isFinal, isFinal, isInterface, isInterface, isNative, isNative, isPrivate, isPrivate, isProtected, isProtected, isPublic, isPublic, isStatic, isStatic, isStrictfp, isStrictfp, isSynchronized, isSynchronized, isTransient, isTransient, isVolatile, isVolatile, setAccessFlags`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AttributeSetMethodGenerator

    public AttributeSetMethodGenerator(java.lang.String methodName,
                                       org.apache.bcel.generic.ClassGen classGen)

Method Detail

### storeIterator

    public org.apache.bcel.generic.Instruction storeIterator()

  Overrides:
    storeIterator in class MethodGenerator

### loadIterator

    public org.apache.bcel.generic.Instruction loadIterator()

  Overrides:
    loadIterator in class MethodGenerator

### getIteratorIndex

    public int getIteratorIndex()

### storeHandler

    public org.apache.bcel.generic.Instruction storeHandler()

  Overrides:
    storeHandler in class MethodGenerator

### loadHandler

    public org.apache.bcel.generic.Instruction loadHandler()

  Overrides:
    loadHandler in class MethodGenerator

### getLocalIndex

    public int getLocalIndex(java.lang.String name)

  Overrides:
    getLocalIndex in class MethodGenerator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.